use crate::geometry::{PointId, Scalar, PointPos};

struct SketchRelations {
    relations: Vec<SketchRelation>,
}

pub enum SketchRelation {
    Point {
        p: PointId,
        rel: PointRelation,
    },
    PointPoint {
        a: PointId,
        b: PointId,
        rel: PointPointRelation,
    },
}

pub enum PointRelation {
    Fix(PointPos),
}

pub enum PointPointRelation {
    Distance(Scalar),
}
